Show / Hide Table of Contents

# Class ImGuiManagedAsserts

##### Inheritance

System.Object
ImGuiManagedAsserts

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: ImGuiScene.ManagedAsserts

###### Assembly: ImGuiScene.dll

##### Syntax

    public static class ImGuiManagedAsserts

### Fields

| Improve this Doc View Source

#### EnableAsserts

##### Declaration

    public static bool EnableAsserts

##### Field Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### GetSnapshot()

Needs to be called while rendering an ImGui frame.

##### Declaration

    public static ImGuiManagedAsserts.ProblemSnapshot GetSnapshot()

##### Returns

Type | Description
--- | ---
ImGuiManagedAsserts.ProblemSnapshot |

| Improve this Doc View Source

#### ReportProblems(ImGuiManagedAsserts.ProblemSnapshot)

##### Declaration

    public static void ReportProblems(ImGuiManagedAsserts.ProblemSnapshot before)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiManagedAsserts.ProblemSnapshot | before |